@import url('https://fonts.googleapis.com/css2?family=B612:ital,wght@0,400;0,700;1,400;1,700&display=swap');

html {
	overflow-y: scroll;
	background-image:
      linear-gradient(45deg, #b000b5 25%, transparent 25%), 
      linear-gradient(135deg, #b000b5 25%, transparent 25%),
      linear-gradient(45deg, #b88ae3 75%, #ccc 75%),
      linear-gradient(135deg, #b88ae3 75%, #ccc 75%);
    background-size:40px 40px; /* Must be a square */
    background-position:0 0, 20px 0, 20px -20px, 0px 20px; /* Must be half of one side of the square */
}

body {
	background-color: #cd9dfa;
	border: solid #b000b5;
	margin: auto;
	max-width: 70ch;
	font-family: 'B612', monospace;
	text-align: center;
	overflow-x: hidden;
	color: #b000b5;
}

h1 {
	text-decoration: underline;
}

div.transflag {
	width: 30px;
	height: 15px;
	border: 1px solid white;
	border-radius: 3px;
	background: linear-gradient(180deg, #5BCEFA 20%, #F5A9B8 20%, 40%, #FFFFFF 40%, 60%, #F5A9B8 60%, 80%, #5BCEFA 80%);
	display: inline-block;
}

div.lesbianflag {
	width: 30px;
	height: 15px;
	display: inline-block;
	border: 1px solid white;
	border-radius: 3px;
	background: linear-gradient(180deg, #D62900 20%, #FF9B55 20%, 40%, #FFFFFF 40%, 60%, #D461A6 60%, 80%, #A50062 80%);
}

div.pagecontent {
	display: flex;
	flex-direction: column;
	min-height: 60vh;
	min-height: 60svh;
}

hr {
	width: 25vw;
}

a {
	text-decoration: underline;
	color: #d000e3;
}

a:visited {
	text-decoration: underline;
}

a:hover {
	text-decoration: underline;
	color: #a42100;
}

a:active {
	text-decoration: underline;
	color: white;
}

hr {
	color: #724d8f;
}
